LotusParserInternal::SubDocument Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
LotusParserInternal::SubDocument Class Reference

Internal: the subdocument of a LotusParser. More...

Inheritance diagram for LotusParserInternal::SubDocument:

## Public Member Functions
| SubDocument (RVNGInputStreamPtr input, LotusParser &pars, bool header)
| constructor for a text entry More...
| ~SubDocument ()
| destructor More...
virtual bool | operator== (shared_ptr< WKSSubDocument > const &doc) const
| operator== More...
void | parse (shared_ptr< WKSContentListener > &listener, libwps::SubDocumentType subDocumentType)
| the parser function More...
Public Member Functions inherited from WKSSubDocument
| WKSSubDocument (RVNGInputStreamPtr &input, WKSParser *parser, int id=0)
| constructor More...
virtual | ~WKSSubDocument ()
| destructor More...
WKSParser * | parser () const
| returns the parser More...
virtual bool | operator== (shared_ptr< WPSSubDocument > const &doc) const
| an operator = More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (shared_ptr< WPSSubDocument > const &doc) const

## Public Attributes
bool | m_header
| a flag to known if we need to send the header or the footer More...

## Additional Inherited Members
Protected Attributes inherited from WKSSubDocument
WKSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Detailed Description

Internal: the subdocument of a LotusParser.

## Constructor & Destructor Documentation

LotusParserInternal::SubDocument::SubDocument | ( | RVNGInputStreamPtr | input,
|  | LotusParser & | pars,
|  | bool | header
| ) |  |
| inline

constructor for a text entry

LotusParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inline

destructor

## Member Function Documentation

virtual bool LotusParserInternal::SubDocument::operator== | ( | shared_ptr< WKSSubDocument > const & | doc | ) | const
| inlinevirtual

operator==

void LotusParserInternal::SubDocument::parse | ( | shared_ptr< WKSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| virtual

the parser function

Implements WKSSubDocument.

## Member Data Documentation

bool LotusParserInternal::SubDocument::m_header

a flag to known if we need to send the header or the footer

Referenced by operator==().

The documentation for this class was generated from the following file:

- Lotus.cpp